{
  config,
  latestModulesPath,
  lib,
  pkgs,
  ...
}: {
  imports = [
    ./caddy.nix
    ./keycloak.nix
    ./erpnext.nix
  ];

  time.timeZone = "Europe/Berlin";

  networking = {
    useDHCP = false;

    interfaces.enp1s0.ipv4.addresses = [
      {
        address = "80.244.242.4";
        prefixLength = 29;
      }
    ];

    defaultGateway = "80.244.242.1";
    nameservers = ["95.129.51.51" "80.244.244.244"];
  };

  # Enable the OpenSSH daemon.
  services.openssh = {
    enable = true;
    openFirewall = true;
  };

  system.stateVersion = "22.05";
}
