{
  config,
  pkgs,
  lib,
  ...
}: {
  boot.loader.systemd-boot.enable = false;
  boot.loader.grub = {
    enable = true;
    devices = ["/dev/disk/by-id/scsi-0QEMU_QEMU_HARDDISK_drive-scsi0-0-0-1"];
  };

  boot.initrd.availableKernelModules = ["ahci" "xhci_pci" "virtio_pci" "virtio_scsi" "sd_mod" "sr_mod"];
  boot.kernelModules = ["kvm-intel"];
  boot.extraModulePackages = [];

  boot.initrd.luks.devices."cryptroot" = {
    device = "/dev/disk/by-uuid/bf890962-9f43-4c44-a0df-64cabd303662";
  };

  fileSystems."/" = {
    device = "/dev/disk/by-uuid/7eb8989a-6ec4-405f-8810-06486f7621c1";
    fsType = "ext4";
  };

  fileSystems."/boot" = {
    device = "/dev/disk/by-uuid/1fd053f8-725b-418d-aed1-aee71dac2b62";
    fsType = "ext4";
  };

  swapDevices = [
    {device = "/dev/disk/by-uuid/2f114633-5b71-46ab-88be-997b27927269";}
  ];

  networking = {
    defaultGateway = {
      address = "80.244.242.1";
      interface = "enp1s0";
    };
    nameservers = ["95.129.51.51" "80.244.244.244"];
    interfaces.enp1s0 = {
      useDHCP = false;
      ipv4.addresses = [
        {
          address = "80.244.242.4";
          prefixLength = 29;
        }
      ];
    };
  };

  nixpkgs.hostPlatform = lib.mkDefault "x86_64-linux";
  hardware.cpu.intel.updateMicrocode = lib.mkDefault config.hardware.enableRedistributableFirmware;
}
