{
  config,
  lib,
  inputs,
  pkgs,
  flake,
  ...
}: {
  age.secrets.keycloak-database-password = {
    file = "${flake.self}/secrets/keycloak-database-password.age";
    mode = "700";
  };

  # keycloak
  services.keycloak = {
    enable = true;
    database.passwordFile = config.age.secrets.keycloak-database-password.path;
    settings = {
      hostname = "auth.momo.koeln";
      http-host = "127.0.0.1";
      http-port = 8080;
      proxy = "edge";
    };
  };
}
