{
  lib,
  config,
  pkgs,
  ...
}:
with lib; let
  psCfg = config.pub-solar;
in {
  users.users."${psCfg.user.name}".packages = with pkgs; [
    ungoogled-chromium
    wine

    gimp
    inkscape
    tigervnc
    nodejs

    signal-desktop
    tdesktop
    element-desktop

    # Nix specific utilities
    alejandra
    manix
    nix-output-monitor
    nix-tree
    nvd
    nixpkgs-review
    nix-search-cli
  ];

  fonts = {
    packages = with pkgs; [
      dejavu_fonts
      fira-code
      fira-code-symbols
      #google-fonts
      lato
      montserrat
      nerdfonts
      noto-fonts
      noto-fonts-cjk
      open-sans
      powerline-fonts
      source-sans-pro
    ];
  };
}
