self:
with self; let
  straight-plugin = python3.pkgs.buildPythonPackage rec {
    pname = "straight-plugin";
    version = "1.5.0";

    src = fetchPypi {
      pname = "straight.plugin";
      inherit version;
      hash = "sha256-gYp2QQaJMu1kNtCvCju3e7veKd8KcULIvRoknnwvDTg=";
    };

    meta = with lib; {
      description = "A simple namespaced plugin facility";
      homepage = https://github.com/ironfroggy/straight.plugin;
      license = licenses.mit;
      maintainers = [maintainers.makefu];
    };
  };
in
  python3.pkgs.buildPythonPackage {
    name = "prison-break";
    version = "1.5.0";
    src = fetchFromGitHub {
      owner = "makefu";
      repo = "prison-break";
      rev = "1.5.0";
      hash = "sha256-9Z60TxfvUAkp04fkb8VujLhBKjrJ1NZm00x/mGZ5Zz4=";
    };
    propagatedBuildInputs = with python3.pkgs; [
      docopt
      requests
      beautifulsoup4
      notify2
      straight-plugin
    ];
    patches = [
      ./prison-break-url.patch
    ];

    checkInputs = [python3.pkgs.black];

    meta = with lib; {
      description = "No Terms of Service (AGBs) every time you connect to a captive portal";
      homepage = https://github.com/makefu/prison-break;
      license = licenses.mit;
      maintainers = [maintainers.makefu];
    };
  }
